varnish (6.0.10-1wm1) buster-wikimedia; urgency=medium

  * New upstream release (Bug: T300264)
    https://github.com/varnishcache/varnish-cache/blob/6.0/doc/changes.rst#varnish-cache-6010-2022-01-25
  * Refreshed 0005-stats-shortlived.patch and 0006-bump-api-soname.patch

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Fri, 28 Jan 2022 10:26:07 +0100

varnish (6.0.9-1wm1) buster-wikimedia; urgency=medium

  * New upstream release (Bug: T298758)
    https://github.com/varnishcache/varnish-cache/blob/6.0/doc/changes.rst#varnish-cache-609-2021-11-24
  * Drop 0007-vut-reset-sighup.patch added in 6.0.6-1wm2 as it has now been
    applied upstream.
  * Drop 0008-vsl_check_e_inval_assertion.patch added in 6.0.8-1wm2 and now
    applied upstream.
  * Add libunwind-dev to Build-Depends and pass --with-unwind to configure

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 07 Jan 2022 14:15:42 +0100

varnish (6.0.8-1wm2) buster-wikimedia; urgency=medium

  * Add debian/patches/0008-vsl_check_e_inval_assertion.patch (Bug: T293879)

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 22 Oct 2021 09:36:28 +0200

varnish (6.0.8-1wm1) buster-wikimedia; urgency=medium

  * New upstream release (Bug: T292290)
    https://github.com/varnishcache/varnish-cache/blob/6.0/doc/changes.rst#varnish-cache-608-2021-07-13

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 01 Oct 2021 13:56:28 +0200

varnish (6.0.7-1wm1) buster-wikimedia; urgency=medium

  * New upstream release (Bug: T268736)
    https://github.com/varnishcache/varnish-cache/blob/6.0/doc/changes.rst#varnish-cache-607-2020-11-06

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 25 Nov 2020 15:04:54 +0100

varnish (6.0.6-1wm2) buster-wikimedia; urgency=medium

  * Clear vut->sighup even if sighup_f is not defined (Bug: T264074)
  * Stop explicitly creating varnish-dbg, recent debhelper versions build
    -dbgsym packages automatically

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 14 Oct 2020 15:38:21 +0200

varnish (6.0.6-1wm1) buster-wikimedia; urgency=medium

  * New major upstream version
  * Remove 34 no longer needed patches
  * Add debian/patches/0006-bump-api-soname, ship libvarnishapi2 binary
    package instead of libvarnishapi1 (Bug: T261487)
  * Fix error "include vdef.h before vrt.h" in override_dh_gencontrol by
    applying https://salsa.debian.org/varnish-team/varnish/-/commit/3859ed3d232066245656f4d9289f23ac711c7818
  * Ship vcstool.py
  * d/control: replace python-docutils with python3-sphinx
  * Set debhelper compatibility level to 12

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Fri, 21 Aug 2020 09:52:25 +0000

varnish (5.1.3-1wm15) buster-wikimedia; urgency=medium

  * Add 0037-force-discard.patch. The patch introduces a new optional flag (-f)
    to vcl.discard. (Bug: T236754)
  * Add 0038-vcl_active-lock.patch. (Bug: T236754)
  * Remove 'export-dir' option from d/gbp.conf

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 26 May 2020 09:27:49 +0200

varnish (5.1.3-1wm14) buster-wikimedia; urgency=medium

  * Add 0036-VSV00004.patch to address VSV00004 (Bug: T249810)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 09 Apr 2020 17:00:41 +0200

varnish (5.1.3-1wm13) buster-wikimedia; urgency=medium

  * Add 0035-vbf_stp_condfetch_crash.patch to handle fetch error in
    vbf_stp_condfetch gracefully. (Bug: T249344)

    Backport of d3b6409ea3f52851aa63fde8120af5cfc430db8b to 5.1.x
    https://github.com/varnishcache/varnish-cache/issues/3273

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 06 Apr 2020 09:11:08 +0200

varnish (5.1.3-1wm12) buster-wikimedia; urgency=medium

  * Bump version and target buster.
  * Added myself to the uploaders list.

 -- Valentin Gutierrez <vgutierrez@wikimedia.org>  Tue, 07 Jan 2020 11:03:37 +0000

varnish (5.1.3-1wm11) stretch-wikimedia; urgency=medium

  * Port patches form Varnish 4.1.11 to ensure first_byte_timeout is honored
    when re-using a backend connection: https://github.com/varnishcache/varnish-cache/issues/1772
    - 0031-vbt-close-stolen.patch
    - 0032-vbe_dir_finish-no-VBT_Wait.patch
    - 0033-recycled-honor-first_byte_timeout.patch (Bug: T226375)
    - 0034-r02135.vtc-fixes.patch

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 21 Jun 2019 10:59:50 +0200

varnish (5.1.3-1wm10) stretch-wikimedia; urgency=medium

  * Port patches from Varnish 4.1.10
    - 0019-vary-stevedore-mem-leak.patch
    - 0020-assert-error-http1_minimal_response.patch (Bug: T224694)
      https://github.com/varnishcache/varnish-cache/issues/2582
    - 0021-dont-test-gunzip-partial.patch
    - 0022-deref-objcore-synth-err.patch
    - 0023-pass-delivery-is-no-err.patch
    - 0024-vbt-get-force-fresh.patch
    - 0025-extrachance-one-retry.patch

  * Port patches from Varnish 4.1.11
    - 0026-transient-full-cache_req_body-panic.patch
    - 0027-assert-error-vca_make_session.patch
    - 0028-panic-return-cond-fetch.patch
    - 0029-ban-lurker-bo-backoff.patch
    - 0030-startup-show-version.patch

  * Drop 0001-gethdr_extrachance.patch and add
    0025-extrachance-one-retry.patch from upstream (Bug: T150247)

  * Add lintian override: postinst-must-call-ldconfig

  * Depend on lsb-base to fix Lintian error
    init.d-script-needs-depends-on-lsb-base

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 06 Jun 2019 10:35:41 +0200

varnish (5.1.3-1wm9) jessie-wikimedia; urgency=medium

  * POST requests (any!) crash Varnish 5.1.3 with separate VCL.
    Make sure that is not the case.
    c41ab01506053bf6844a895e9c66219f88460fc6
    https://github.com/varnishcache/varnish-cache/pull/2385
    https://github.com/varnishcache/varnish-cache/issues/2367

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 25 Jul 2018 09:14:18 +0200

varnish (5.1.3-1wm8) jessie-wikimedia; urgency=medium

  * Introduce ttl_now and the new way of calculating TTLs in VCL
    33143e05c0720e5be0df4ac5b20a0fcc8a6874e8
    https://github.com/varnishcache/varnish-cache/pull/2555
  * Ignore req.ttl when keeping track of expired objects
    36ae63275be296965be7d49b16e01e7bd8c523fb
    https://github.com/varnishcache/varnish-cache/pull/2422
  * Add cache_hit_grace counter
    dcd62f075f495c697e72bc7c482e244ccad9333d
    https://github.com/varnishcache/varnish-cache/pull/2455
  * Add n_lru_limited counter
    3a1f45d05dcdc0d22a71148c25ae2dedcf93e6ea
    https://github.com/varnishcache/varnish-cache/pull/2569

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 30 Apr 2018 18:38:08 +0200

varnish (5.1.3-1wm7) jessie-wikimedia; urgency=medium

  * Apply 'Fix issue #1799 for keep' from upstream.
    c12a3e5e2bc978edafaccfe1c586e5d5dab01fcb
    https://github.com/varnishcache/varnish-cache/issues/1799

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 21 Mar 2018 11:43:14 +0100

varnish (5.1.3-1wm6) jessie-wikimedia; urgency=medium

  * Avoid leaking an OH ref on reembark failure (backport varnish commit
    5cc47eaa8a174d6f072c68d996ff17b38ccd16eb)
  * Drop upstream patches fixing "extrachance" retries, go back to using our
    own. Upstream's patch does result in cascading requests through our cache
    tiers in the "RB case" and similar ones. Our own patch with
    gethdr_extrachance=0 avoids that.

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 20 Mar 2018 17:29:04 +0100

varnish (5.1.3-1wm5) jessie-wikimedia; urgency=medium

  [ Valentin Gutierrez ]
  * Fix memory leak when discarding labels (backport varnish commit
    cc5df0ef06caa2fca78ba471a6126fcad03fd6a2)

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 20 Mar 2018 14:36:14 +0100

varnish (5.1.3-1wm4) jessie-wikimedia; urgency=medium

  * Add upstream patches fixing "extrachance" retries
    https://github.com/varnishcache/varnish-cache/pull/2490
    Use those instead of our own 0001-gethdr_extrachance.patch.

 -- Emanuele Rocca <ema@wikimedia.org>  Sun, 11 Mar 2018 00:24:25 +0100

varnish (5.1.3-1wm3) jessie-wikimedia; urgency=medium

  * Avoid buffer read overflow on vcl_error and -sfile
    (VSV00002, CVE-2017-8807)

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 15 Nov 2017 12:29:06 +0100

varnish (5.1.3-1wm2) jessie-wikimedia; urgency=medium

  * Add transaction_timeout: maximum amount of time in seconds for the whole
    response from the backend to be received
  * Add lintian override: bad-provided-package-name varnishabi-strict-NOGIT
  * Backport 'record-prefix support to varnishncsa' for varnish 5.1
    https://github.com/varnishcache/varnish-cache/commit/ac4f3360
  * Run VTC tests shipped with the package under bin/varnishtest/tests/ as
    part of the build process

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 06 Nov 2017 17:43:14 +0100

varnish (5.1.3-1wm1) jessie-wikimedia; urgency=medium

  * Upgrade to Varnish 5.1.3

 -- Arzhel Younsi <ayounsi@wikimedia.org>  Tue, 08 Aug 2017 20:11:52 +0000

varnish (4.1.8-1wm1) jessie-wikimedia; urgency=medium

  * New upstream release
    - Correctly handle bogusly large chunk sizes (VSV00001, DSA 3924-1)
      https://github.com/varnishcache/varnish-cache/issues/2379
    - Update in the documentation of timestamps

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 02 Aug 2017 14:53:27 +0200

varnish (4.1.7-1wm1) jessie-wikimedia; urgency=medium

  * New upstream release
    - Correctly honor nuke_limit parameter
      https://github.com/varnishcache/varnish-cache/issues/1764
    - Prevent storage backends name collisions
      https://github.com/varnishcache/varnish-cache/issues/2321
    - varnishstat -1 -f field inclusion glob doesn't allow VBE backend fields
      https://github.com/varnishcache/varnish-cache/issues/2022
    - Health probes fail when HTTP response does not contain reason phrase
      https://github.com/varnishcache/varnish-cache/issues/2069
    - "varnishstat -f MAIN.sess_conn -1" produces empty output
      https://github.com/varnishcache/varnish-cache/issues/2118
    - Remember to reset workspace
      https://github.com/varnishcache/varnish-cache/issues/2219
    - Rework and fix varnishstat counter filtering
      https://github.com/varnishcache/varnish-cache/issues/2320
    - Docfix: Only root can jail
      https://github.com/varnishcache/varnish-cache/issues/2329
    - Don't panic on a null ban
    - Add extra locking to protect the pools list and refcounts
    - Add -vsl_catchup to varnishtest
    - Add record-prefix support to varnishncsa

  * Add varnish-counters: cache_shortlived, cache_uncacheable.
    Bug: #T164768

 -- Emanuele Rocca <ema@wikimedia.org>  Wed, 28 Jun 2017 12:17:48 +0200

varnish (4.1.6-1wm1) jessie-wikimedia; urgency=medium

  * New upstream release
  * Add libvarnishapi1 symbols: VSM__iter0 and VSM__itern.

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 27 Apr 2017 18:41:03 +0200

varnish (4.1.5-1wm4) jessie-wikimedia; urgency=medium

  * Drop -spersistent patches
  * Fix VSM file permissions
  * Do not split -sfile in 2^30 chunks, use INT64_MAX / INT32_MAX instead
    depending on the architecture Bug: #T145661

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 27 Apr 2017 16:13:00 +0200

varnish (4.1.5-1wm3) jessie-wikimedia; urgency=medium

  * Introduce two varnish parameters to selectively activate the expiry thread
    priority experiment: exp_thread_rt and exp_lck_inherit. Bug: #T145661.

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 27 Apr 2017 09:27:37 +0200

varnish (4.1.5-1wm2) jessie-wikimedia; urgency=medium

  * Add 0006-exp-thread-realtime.patch: pick a realtime scheduling policy
    (SCHED_FIFO) for the mailbox expiry thread and bump priority.
    Bug: #T145661.

 -- Emanuele Rocca <ema@wikimedia.org>  Sat, 22 Apr 2017 13:36:08 +0200

varnish (4.1.5-1wm1) jessie-wikimedia; urgency=medium

  * New upstream release
    - disable Nagle's algorithm on backend connections:
      https://github.com/varnishcache/varnish-cache/issues/2134
    - full changelog:
      https://github.com/varnishcache/varnish-cache/blob/4.1/doc/changes.rst#varnish-cache-415-2017-02-09

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 20 Feb 2017 10:58:02 +0100

varnish (4.1.4-1wm1) jessie-wikimedia; urgency=medium

  * New upstream release.

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 05 Dec 2016 13:19:31 +0100

varnish (4.1.3-1wm4) jessie-wikimedia; urgency=medium

  * Make extrachance upper bound configurable.

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 11 Nov 2016 12:01:18 +0100

varnish (4.1.3-1wm3) jessie-wikimedia; urgency=medium

  * Add 0005-remove_bad_extrachance_code.patch: the extrachance code is
    creating issues with RB. Bug: #T150247

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 08 Nov 2016 11:39:40 +0100

varnish (4.1.3-1wm2) jessie-wikimedia; urgency=medium

  * Drop 0003-varnishd-nukelru.patch. The patch is responsible for varnishd
    crashes and is not necessary. It's ok for NukeOne not to always free space,
    that's what nuke_limit is for.

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 25 Aug 2016 11:20:35 +0200

varnish (4.1.3-1wm1) jessie-wikimedia; urgency=medium

  * Drop patches included upstream:
    - 0005-handle-eof-http1.1.patch
    - 0006-IMS-duplicate-headers-proper-handling.patch
    - 0007-revert-grace-hits-hit-for-pass-objs.patch
  * debhelper supports automatic building of debug symbol packages starting
    from version 9.20151219 or newer. Jessie ships 9.20150101, thus we need to
    create varnish-dbg by hand

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 08 Jul 2016 16:21:47 +0200

varnish (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Upstream renamed README into README.rst. Update debian/varnish.docs
    accordingly
  * Add myself to the Uploaders field

 -- Emanuele Rocca <ema@debian.org>  Thu, 07 Jul 2016 17:03:55 +0200

varnish (4.1.2-4) unstable; urgency=medium

  * Declare compliance with Debian policy 3.9.8
  * Use automatically built debug symbol packages
  * Update debian/copyright
  * Add Documentation= for varnishncsa.service

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 23 May 2016 22:20:11 +0200

varnish (4.1.2-3) unstable; urgency=medium

  * Use serverspec for autopkgtest
  * Remove old migration from postinst script

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 23 May 2016 16:51:41 +0200

varnish (4.1.2-2) unstable; urgency=medium

  * Fix FTBFS when building with dpkg-buildpackage -A (Closes: #806120)
  * Declare compliance with Debian Policy 3.9.7
  * Use https:// in Vcs-* fields
  * Update URL to upstream homepage

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 29 Mar 2016 15:55:33 +0200

varnish (4.1.2-1wm6) jessie-wikimedia; urgency=medium

  * Update 0005-handle-eof-http1.1.patch (Bug: T135515).

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 17 May 2016 19:41:43 +0200

varnish (4.1.2-1wm5) jessie-wikimedia; urgency=medium

  * 0007-revert-grace-hits-hit-for-pass-objs.patch: revert
    8b7cb51b76ad616143040ee955f1f6d9306251b9 (Bug: T134989, T135038).

 -- Emanuele Rocca <ema@wikimedia.org>  Sun, 15 May 2016 13:17:39 +0200

varnish (4.1.2-1wm4) jessie-wikimedia; urgency=medium

  * Add debian/patches/0006-IMS-duplicate-headers-proper-handling.patch.
    (Bug:T134989, T135038)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 12 May 2016 15:01:42 +0200

varnish (4.1.2-1wm3) jessie-wikimedia; urgency=medium

  * Add debian/patches/0005-handle-eof-http1.1.patch. (Bug: T134989, T135038)

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 12 May 2016 07:54:40 +0200

varnish (4.1.2-1wm2) jessie-wikimedia; urgency=medium

  [ Brandon Black ]
  * Update debian/patches/0003-varnishd-nukelru.patch to fix panic caused by
    HSH_DerefObjCore setting oc to NULL. Bug: T131830

  [ Emanuele Rocca ]
  * Add myself to Uploaders.

 -- Emanuele Rocca <ema@wikimedia.org>  Tue, 05 Apr 2016 14:56:31 +0200

varnish (4.1.2-1wm1) jessie-wikimedia; urgency=medium

  * Local package (WMF).
  * New upstream release.
  * Drop debian/patches/0005-vcc-real-plus-real.patch, added upstream.

 -- Emanuele Rocca <ema@wikimedia.org>  Fri, 25 Mar 2016 11:13:57 +0100

varnish (4.1.2-1) unstable; urgency=medium

  * Imported upstream release 4.1.2-1
  * [784290d] Use Type=forking for systemd services.
    Thanks to Lasse Karstensen
  * [cbdc531] systemd: create /run directories for log daemons
  * [0b9cd9a] Remove the varnishlog service

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 04 Mar 2016 21:39:05 +0100

varnish (4.1.1-1wm2) jessie-wikimedia; urgency=medium

  * Add debian/patches/0005-vcc-real-plus-real.patch to allow arithmetic
    operations on real values.

 -- Emanuele Rocca <ema@wikimedia.org>  Mon, 22 Feb 2016 15:24:16 +0100

varnish (4.1.1-1wm1) jessie-wikimedia; urgency=medium

  * Local package (WMF).
  * Forward-port patches from varnish3 to varnish4:
    - 0001-varnishd-persistent-addrarg.patch
    - 0002-varnishd-persistent-fallocate.patch
    - 0003-varnishd-nukelru.patch
    - 0004-varnishd-persistent-mmap-exit.patch
  * Drop patches included upstream in varnish4:
    - varnishd-file-fallocate.patch
      eb1ca9d710bbfbf0ab9306b6e9b2789bbcf15c1e
    - varnishd-no-size-reduce.patch
      29097215caf53e30e77ccdee17b9fe9317e722f8
    - libvmod_std-collect.patch
      6a9302c986762616288b612f261aa2d066bdc57c
    - varnishd-cachehitmiss-ignore-purge.patch
      Increment miss counter if wrk->handling == VCL_RET_FETCH
      129be2f9a9dd213d977edd7002432dcad1348e30
      Increment hit counter if wrk->handling in (VCL_RET_DELIVER,
      VCL_RET_PASS)
      06df39d48695b31e6ff2610f5fe687dd525f5671
  * Drop patches not needed anymore. For the details, see
    https://phabricator.wikimedia.org/T124277.
    - varnishncsa-udplog.patch
    - vcl_error-allow-keepalive.patch
    - filter-headers.patch
  * debian/rules: do not start services on pkg install by passing --no-start
    to dh_installinit
  * debian/varnish.postrm: postrm compatibility with /var/lib/varnish as a
    mountpoint

 -- Emanuele Rocca <ema@wikimedia.org>  Thu, 04 Feb 2016 18:47:44 +0100

varnish (4.1.1-1) unstable; urgency=medium

  * Imported upstream release 4.1.1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 28 Jan 2016 21:22:13 +0100

varnish (4.1.0-2) unstable; urgency=medium

  * The varnish cache worker now runs as the "vcache" user.
  * Group membership in "varnish" is now needed to access the shared memory
    used for varnish log and stats. The varnishlog, varnishncsa services run
    as this group.  /var/log/varnish is now owned by this group.
  * Examples for systemd for changing the varnish and varnishncsa commandlines
    have been added to /usr/share/doc/varnish/examples
  * [d948695] autopkgtest: use less complex tests for debci
  * [eb01441] varnish.service, remove redundant syntax check
  * [b072816] systemd units: restrict default access to files and devices.
    No network access for varnishlog and varnishncsa

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 06 Nov 2015 11:18:10 +0100

varnish (4.1.0-1) unstable; urgency=medium

  [ Tollef Fog Heen ]
  * Under systemd, ensure varnishlog/varnishncsa are running before trying
    to reload them, to avoid a spurious mail.

  [ Stig Sandbeck Mathisen ]
  * Imported upstream release 4.1.0-1
  * [23c5db9] Build depend on graphviz for doc
  * [c49f79e] Adjust varnish doc install source
  * [94a0031] Use Pre-Depends: ${misc:Pre-Depends} (lintian)
  * [e5ef8d1] Give the varnish user a home in /nonexistent
  * [e678ca3] Add new symbols for libvarnishapi1

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 12 Oct 2015 14:23:28 +0200

varnish (4.0.3-1) unstable; urgency=medium

  * Imported upstream release 4.0.3
  * [84d7292] Provide virtual packages for varnish ABI versions
  * [5c6fca3] Remove -w from example in /etc/default/varnish (Closes: #774963)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 23 Feb 2015 13:23:54 +0100

varnish (4.0.2-1) unstable; urgency=medium

  * use /run instead of /var/run in sysv init scripts (Closes: #708975)
  * Remove explicit "exit 0" from init scripts
  * Check syntax of running varnish before restart
  * Imported upstream release 4.0.2

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 14 Oct 2014 22:53:05 +0200

varnish (4.0.1-1) unstable; urgency=medium

  * Imported upstream release 4.0.1
  * [5bdad65] Ensure header files end up in /usr/include/varnish
    (Closes: #745902)
  * [91747ac] Remove backported patch included in this release

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 26 Jun 2014 16:18:49 +0200

varnish (4.0.0-2) unstable; urgency=medium

  * Reload varnishlog/varnishnsca properly on logrotate (Closes: #676491)
  * Install new upstream changelog (Closes: #745892)
  * Add upstream patch to build on kFreeBSD (Closes: #744199)
  * Ensure varnish starts before the logging daemons
  * debian/test: make better tests

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 13 May 2014 15:04:56 +0200

varnish (4.0.0-1) unstable; urgency=medium

  * Imported Upstream version 4.0.0
  * [f39325d] Handle changes in documentation.
  * [adef4b7] Update libvarnishapi1 symbols list.
  * [05f83a6] Update list of architectures where jemalloc is not available
  * [d453e47] Use anonscm.debian.org VSC URIs
  * [f31fa49] Declare compliance with Debian Standards-Version 3.9.5
  * [83da9e2] Add lintian override for the generated search index
  * [2b56109] Add a NEWS file
  * [c729df4] Install new files needed for vmod development
  * [bc91563] Add python dependency for libvarnishapi-dev
  * [7679077] Install default "example.vcl" as /etc/varnish/default.vcl
  * [336d1e9] Ignore documentation not present in varnish 4

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 10 Apr 2014 14:20:00 +0200

varnish (3.0.5-2) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/varnish.init: Add a configtest action.
    Thanks to Samuele Giovanni Tonon (Closes: #740002) (LP: #1284095)

  [ Stig Sandbeck Mathisen ]
  * debian/varnish.service: Test configuration before starting, add reload

  [ Jonathan Davies ]
  * debian/varnish.init: Use start-stop-daemon for status
  * debian/varnish.init: Remove PID file on stop (Closes: #661602)

  [ Martin Pitt ]
  * Add missing "needs-root" test restriction to fix autopkgtest

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 24 Mar 2014 21:37:23 +0100

varnish (3.0.5-1) unstable; urgency=low

  * Imported upstream version 3.0.5

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 02 Dec 2013 15:06:11 +0100

varnish (3.0.4-2) unstable; urgency=low

  * Build against the packaged libjemalloc
  * use dh-autoreconf
  * Update autopkgtests
  * Bump Standards-Version (no changes)
  * remove unnecessary versions from dependencies
  * Break and sort dependencies (no changes)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 24 Nov 2013 18:55:59 +0100

varnish (3.0.4-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream release
  * Add dep8 tests.
    Thanks to Yolanda Robla <yolanda.robla@canonical.com> (Closes: #710001)
  * Advertise "reload" in the init script help (Closes: #710525)

  [ Michael Stapelberg ]
  * use dh-systemd for proper systemd-related maintscripts

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 29 Jun 2013 16:20:51 +0200

varnish (3.0.3-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream release

  [ Tollef Fog Heen ]
  * Make varnishlog's and varnishncsa's init script exit with the exit
    status of status_of_proc to make them useful.  Fixes upstream trac
    #1226.

  [ Stig Sandbeck Mathisen ]
  * Do not rewrite /etc/default/varnish on upgrade.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: 698577)
  * Undo mangling of /etc/default/varnish that happened during lenny->squeeze
    upgrade.
    Thanks to Andreas Beckmann <anbe@debian.org> (Closes: 698577)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 05 May 2013 15:53:14 +0200

varnish (3.0.2-2) unstable; urgency=low

  [ Knut Arne Bjørndal ]
  * Fix exit code from reload-vcl (Closes: #664857)

  [ Stig Sandbeck Mathisen ]
  * Do not run build tests by default (Closes: #663667)
  * Use debhelper compat level 9 (Closes: #663064)
    This gives us multiarch and hardening flags
  * Remove /etc/varnish/secret on purge (Closes: #656220)
  * Bump standards-version (no changes)
  * Add systemd services
  * Remove vcs_version.h patch

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 May 2012 16:20:31 +0200

varnish (3.0.2-1) unstable; urgency=low

  * New upstream release
  * Build from upstream tarball instead of git tag
  * debian/watch: more specific regular expression

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 29 Oct 2011 15:23:24 +0200

varnish (3.0.1-2) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Make it possible to override DAEMON_OPTS for varnishlog and
    varnishncsa.
  * Make /etc/init.d/varnish status exit with a sensible status code
    rather than always being 0 (Closes: #637110)
  * Add missing options to reload-vcl to allow -C, -i, -M.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 24 Sep 2011 13:22:56 +0200

varnish (3.0.1-1) unstable; urgency=low

  * New upstrem release
  * Do not run autogen.sh unless we need to
  * Enable build tests on presumably sane architectures and buildbot hosts

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 02 Sep 2011 21:27:03 +0200

varnish (3.0.0-5) unstable; urgency=low

  [ Tollef Fog Heen ]
  * Drop build-dep on tcl, it's no longer needed.
  * Change automake build-dep to automake rather than forcing 1.9.
  * Remove .la files rather than neutering them.
  * Remove .a files, they are not supported upstream.
  * Move /usr/lib/varnish/lib*.so to varnish package, add Replaces
  * Add --fail-missing to dh_install call and fix up varnish.install.

  [ Stig Sandbeck Mathisen ]
  * Update lintian-overrides
  * Use packaged javascript libraries

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 24 Aug 2011 13:36:26 +0200

varnish (3.0.0-4) unstable; urgency=low

  * Add package with detached debugging symbols for varnish (Thanks,
    Jean-Baptiste Quenot)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 18 Jul 2011 12:25:02 +0200

varnish (3.0.0-3) unstable; urgency=low

  * Disable build tests (Closes: #632320)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 17 Jul 2011 12:08:19 +0200

varnish (3.0.0-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Conditionally replace jquery.js in dh_installdocs override in order to
    not fail when building arch any packages only (Closes: #631895).

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 28 Jun 2011 06:53:35 +0200

varnish (3.0.0-1) unstable; urgency=low

  * New upstream release
  * Add a varnish-log package
  * Rename the library packages, to reflect library name
  * Add new upstream URI to debian/watch

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 23 Jun 2011 10:49:45 +0200

varnish (2.1.5-2) unstable; urgency=low

  * Release for unstable

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 21 Mar 2011 10:16:07 +0100

varnish (2.1.5-1) experimental; urgency=low

  * New upstream release
  * Change default storage method to malloc, 256 MB
  * Start varnishd by default, since the new storage method has less system
    impact
  * Update symbols file for 2.1.5

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 02 Feb 2011 13:33:53 +0100

varnish (2.1.4-1) experimental; urgency=low

  * New upstream version
  * Update symbols file for 2.1.4
  * Cherry-pick fix for upstream bug #801. Remove duplicate Content-
    Length header

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 03 Nov 2010 16:44:08 +0100

varnish (2.1.3-8) unstable; urgency=high

  * Fix random secret creation on non-Linux kernels (Closes: #596373)
  * Urgency "high" due to FTBFS RC bug during squeeze freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Sep 2010 17:51:20 +0200

varnish (2.1.3-7) unstable; urgency=high

  [ Faidon Liambotis ]
  * Fix FTBFS race condition in tests/v00014.vtc (Closes: #594777)

  [ Stig Sandbeck Mathisen ]
  * Urgency "high" due to FTBFS RC bug during squeeze freeze

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 09 Sep 2010 21:03:24 +0200

varnish (2.1.3-6) unstable; urgency=low

  * Install only libvarnishapi.so (Closes: #592244)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 28 Aug 2010 00:43:50 +0200

varnish (2.1.3-5) unstable; urgency=low

  * Ensure a PATH is set (Closes: #592906)
  * debian/rules: Rewrite to do arch tests better, do not test on mipsel
    (Closes: #593979)
  * Disable build tests on sh4 (Closes: #594302)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 25 Aug 2010 10:47:26 +0200

varnish (2.1.3-4) unstable; urgency=low

  * Make sure we do not run the build tests on "armel" (by specifying
    "arm" instead of "armel")

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 06 Aug 2010 01:59:40 +0200

varnish (2.1.3-3) unstable; urgency=low

  * Disable build tests for some architectures (Closes: #591256)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 02 Aug 2010 00:00:30 +0200

varnish (2.1.3-2) unstable; urgency=low

  * Install all the needed library symlinks (Closes: #585128) (LP:
    #488258)
  * Use a different user for the varnish log daemons (LP: #461593)
  * Do not start automatically when installed (LP: #569060)
  * Clean up rules file, use debhelper v7

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 29 Jul 2010 23:36:35 +0200

varnish (2.1.3-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 28 Jul 2010 18:21:30 +0200

varnish (2.1.2-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 21 May 2010 09:26:49 +0200

varnish (2.1.1-1) unstable; urgency=low

  * New upstream version
  * Fix issue with "/etc/init.d/varnish reload" not working more than a few
    times when /bin/sh is provided by "dash"

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 27 Apr 2010 13:10:08 +0200

varnish (2.1.0-2) unstable; urgency=low

  * Enable access control for the varnishd management port (CVE-2009-2936)
  * Fix varnishd.1 man page, document -S option used for access control

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 29 Mar 2010 21:11:49 +0000

varnish (2.1.0-1) unstable; urgency=low

  * New upstream version
  * Fix small error in man/vcl.7so

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 24 Mar 2010 13:26:08 +0000

varnish (2.0.6-2) unstable; urgency=low

  * Set the mailing list address as maintainer, and the members as uploaders
  * Fix "Varnish 2.0.6 incompatible with libvarnish1 2.0.5" by adding a
    versioned dependency on libvarnish1 (Closes: #566756)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 25 Jan 2010 07:07:54 +0000

varnish (2.0.6-1) unstable; urgency=low

  * New upstream version (Closes: #561506)
  * debian/patches/vcl.7.patch: Remove patch, no longer needed
  * debian/libvarnish1.symbols: Removed some symbols for libvarnishcompat.so.1
  * init scripts: Add "status" argument (Closes: #561538)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Dec 2009 15:38:53 +0000

varnish (2.0.5-1) unstable; urgency=low

  * New upstream release
  * Add README.source with information about quilt
  * Convert to source format 3.0 (quilt)
  * Add patch for vcl(7)
  * Remove patch for varnishd(1)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 09 Nov 2009 11:52:34 +0000

varnish (2.0.4-5) unstable; urgency=low

  * Add s390 to list of architectures not using jemalloc

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 27 Jul 2009 21:49:42 +0000

varnish (2.0.4-4) unstable; urgency=low

  * Remove s390 jemalloc patch
  * Add patch for varnishd(1)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 24 Jul 2009 13:02:38 +0000

varnish (2.0.4-3) unstable; urgency=low

  * Actually check for s390 in the jemalloc patch.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 21 Jul 2009 20:29:29 +0000

varnish (2.0.4-2) unstable; urgency=low

  * Change Vcs-Browser and Vcs-Svn to reflect the packaging move to
    alioth
  * Add support for VCL reload via /etc/init.d/varnishd reload
  * Added a symbols file for libvarnish1
  * Add patch from Ingvar Hagelund to define *_2POW on s390, we should then be
    able to use jemalloc
  * Add build dependency on quilt

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 10 Jun 2009 17:11:03 +0000

varnish (2.0.4-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 27 Apr 2009 08:12:28 +0000

varnish (2.0.3-2) UNRELEASED; urgency=low

  * Add /usr/lib/pkgconfig/varnishapi.pc to the libvarnish-dev package

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 19 Feb 2009 07:22:14 +0100

varnish (2.0.3-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 18 Feb 2009 09:04:17 +0000

varnish (2.0.2-1) unstable; urgency=low

  * New upstream version
  * Change defaults to use configuration file /etc/varnish/default.vcl
    when starting varnishd

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 17 Nov 2008 07:31:05 +0100

varnish (2.0.1-2) unstable; urgency=low

  [ Kees Cook ]
  * debian/rules: disable jemalloc on architectures that lack *_2POW
    definitions (Closes: #503381).

  [ Stig Sandbeck Mathisen ]
  * Add a man page for varnishtest
  * Disable jemalloc on m64k as well

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 30 Oct 2008 08:00:56 +0100

varnish (2.0.1-1) unstable; urgency=low

  * New upstream version
  * Fix synopsis on binary packages (Closes: #502118)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Fri, 17 Oct 2008 21:03:16 +0200

varnish (2.0-1) unstable; urgency=low

  * New upstream version
  * Add varnishncsa init script, defaults and log rotation (Closes: #501454)
  * Add dependency on libc6.1-dev (Closes: #481067)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 16 Oct 2008 14:04:42 +0200

varnish (2.0~rc1-1) unstable; urgency=low

  * New upstream version
  * Fix syntax error in varnishlog init script

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Wed, 08 Oct 2008 13:45:40 +0200

varnish (2.0~beta1-1) UNRELEASED; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream release

  [ Tollef Fog Heen ]
  * Fix up clean rule so as to work correctly on fresh sources too.
  * Fix up Makefile.am to get rid of files we don't ship.
  * Fix XSIsm in debian/varnish.varnishlog.init (-o in a test).
  * Rename libvarnish0-dev to libvarnish-dev again, bump soname to
    libvarnish1.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Mon, 01 Sep 2008 09:05:44 +0000

varnish (1.2-0) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * New upstream release.
  * Check if varnishlog is running before attempting reload from
    logrotate postscript. (Closes: #462029)

  [ Fabio Tranchitella ]
  * debian/varnish.dirs: removed unused lintian overrides dir.
  * debian/rules: backup and restore of config.sub and config.guess to not
    include them into the diff.gz in case of multiple builds from the same
    working directory.

  [ Tollef Fog Heen ]
  * Remove TODO from Makefile.am to make make dist happier.
  * Run make distclean if Makefile exists.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Mon, 23 Jun 2008 16:04:38 +0200

varnish (1.1.2) unstable; urgency=low

  * New upstream release
  * Renamed library and development packages to reflect sonames

 -- Stig Sandbeck Mathisen <ssm@fnord.no>  Wed, 12 Sep 2007 16:05:22 +0200

varnish (1.1.1-1) unstable; urgency=low

  [Lars Bahner]
  * New upstream release
  * User and Group id added to default DAEMON_OPTS
  * Added user and group creation to postinst
  * Added missing man pages

  [Stig Sandbeck Mathisen]
  * Set statedir to /var/lib
  * Removed -n switch from varnish defaults file and varnishlog init script.
    Use the default instance name instead.

 -- Stig Sandbeck Mathisen <ssm@linpro.no>  Tue, 04 Sep 2007 12:27:09 +0200

varnish (1.1-1) unstable; urgency=low

  * New upstream release
  * Split package into varnish, libvarnish and libvarnish-dev

 -- Stig Sandbeck Mathisen <ssm@linpro.no>  Fri, 20 Jul 2007 14:37:36 +0200

varnish (1.0.4-1) unstable; urgency=low

  * New upstream version (Closes: #424560)
  * Use the upstream default configuration file, renamed to default.vcl.
    Default template in /etc/default/varnish does not use this, but a
    commented-out alternative does.
  * Changed init script.  Use lsb init library functions, move more defaults
    to /etc/default/varnish, to make init script simpler.
  * Changed postrm, /var/lib/varnish disappeared on upgrade, making varnish
    non-startable.
  * Added example vcl for zope and plone.

 -- ssm <ssm@linpro.no>  Wed, 16 May 2007 13:50:08 +0200

varnish (1.0.3-2) unstable; urgency=low

  * Added postrm to partially solve 400384

 -- Lars Bahner <bahner@debian.org>  Tue, 27 Feb 2007 20:41:10 +0100

varnish (1.0.3-1) unstable; urgency=low

  * new upstream release
  * set VARNISH_MAX_WORKER_THREADS to 2048 instead of INF.
    (closes: #412004)

 -- Lars Bahner <bahner@debian.org>  Tue, 27 Feb 2007 20:16:38 +0100

varnish (1.0.2-2) unstable; urgency=low

  * Preliminary LSB compliabnce in init-script
  * Lintian override

 -- Lars Bahner <bahner@debian.org>  Mon, 23 Oct 2006 14:20:22 +0200

varnish (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Lars Bahner <bahner@linpro.no>  Thu, 19 Oct 2006 15:51:37 +0200

varnish (1.0.2-1~svn20061012) unstable; urgency=low

  * Added README for Debian
  * svn-based source
  * Added target to create configure to build from pristine source
  * Added init-script and defaults
  * Moved backend storage to /var/lib/varnish/

 -- Lars Bahner <bahner@linpro.no>  Fri, 13 Oct 2006 09:58:13 +0200

varnish (1.0.1-3) unstable; urgency=low

  * Bumped automake dependency to automake1.9

 -- Lars Bahner <bahner@debian.org>  Tue, 10 Oct 2006 15:00:39 +0200

varnish (1.0.1-2) unstable; urgency=low

  * Removed wrong upstream author.
  * Added dependency on gcc-4.1 needed by varnish at runtime.

 -- Lars Bahner <bahner@debian.org>  Fri,  6 Oct 2006 17:54:53 +0200

varnish (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #382451)

 -- Lars Bahner <bahner@debian.org>  Fri,  6 Oct 2006 16:26:57 +0200
